<?php

include "../../system/func.php";

if ($user == false) {

    header("Location: /");
    exit;
}

$title = "Форум";
include "../../system/header.php";

if (isset($_GET["panel"]) and $user["access"] >= 3) {

    $accessArray = [
        0 => "Зек",
        1 => "Дежурный",
        2 => "Надзиратель",
        3 => "Начальник"
    ];

    if (isset($_GET["create"])) {

        if (isset($_POST) and !empty($_POST)) {

            $name = text($_POST["name"]);
            $checkName = DB::assoc(DB::query("SELECT `name` FROM `_forum` WHERE `name` = '{$name}'"));

            $desc = text($_POST["desc"]);
            $access = text($_POST["access"]);

            if ($name == false or $name == "") {

                $_SESSION["errors"][0] = "Поле осталось пустым";
            } elseif ($checkName == true) {

                $_SESSION["errors"][0] = "Такое название уже существует";
            }

            if ($desc == false or $desc == "") {

                $_SESSION["errors"][1] = "Поле осталось пустым";
            }

            if ($access < 0 and $access >= 4) {

                $_SESSION["errors"][2] = "Повтори попытку";
            }

            if (isset($_SESSION["errors"])) {

                header("Location: ?panel&create");
                exit;
            }

            DB::query("INSERT INTO `_forum` (`name`, `access`, `desc`) VALUES ('{$name}', '{$access}', '{$desc}')");

            header("Location: ?panel");
            exit;
        }

        echo "<br><div class=\"title-block enable-element\">
            <div class=\"title-inside\">
            <div class=\"b-title title1\">
        <div class=\"nail left-nail\"></div>
        <div class=\"nail right-nail\"></div>
        <div class=\"title\">
        <div class=\"alphabet c22\"></div>
        <div class=\"alphabet c16\"></div>
        <div class=\"alphabet c18\"></div>
        <div class=\"alphabet c21\"></div>
        <div class=\"alphabet c14\"></div>
        </div>
        </div></div>
        </div>
        <div class=\"content\">
        
        <div class=\"c-r\">
        <div class=\"c-b-r\">
        <div class=\"c-l\">
        <div class=\"c-b-l\">
        <div class=\"c-b\">
        <div class=\"inside\">
            <form class=\"block\" action=\"?panel&create\" method=\"POST\">
            <div class=\"form-group field-forumform required " . (isset($_SESSION["errors"][0]) ? "has-error" : false) . "\">
            <label class=\"control-label\" for=\"forumform-name\">Название</label>
            <input type=\"text\" id=\"forumform-name\" class=\"form-control\" name=\"name\" aria-required=\"true\" aria-invalid=\"true\">
            <div class=\"help-block\">" . (isset($_SESSION["errors"][0]) ? $_SESSION["errors"][0] : false) . "</div>
            </div>
            <div class=\"form-group field-forumform required " . (isset($_SESSION["errors"][0]) ? "has-error" : false) . "\">
            <label class=\"control-label\" for=\"forumform-desc\">Описание</label>
            <input type=\"text\" id=\"forumform-desc\" class=\"form-control\" name=\"desc\" aria-required=\"true\" aria-invalid=\"true\">
            <div class=\"help-block\">" . (isset($_SESSION["errors"][1]) ? $_SESSION["errors"][1] : false) . "</div>
            </div>
            <div class=\"form-group field-forumform required " . (isset($_SESSION["errors"][2]) ? "has-error" : false) . "\">
            <label class=\"control-label\" for=\"forumform-access\">Создавать топики могут</label>
            <select id=\"forumform-access\" class=\"form-control\" name=\"access\" aria-required=\"true\">";

        for ($i = 0; $i <= 3; $i++)
            echo "<option value=\"{$i}\">{$accessArray[$i]}+</option>";

        echo "</select>
            <div class=\"help-block\">" . (isset($_SESSION["errors"][2]) ? $_SESSION["errors"][2] : false) . "</div>
            </div>
            <span class=\"m3 btn_start middle\">
            <span class=\"btn_end\">
            <button type=\"submit\" class=\"btn\">Создать</button>
            </span>
            </span>
            </form>
            </div>";

        if (isset($_SESSION["errors"])) unset($_SESSION["errors"]);
echo "</div> </div></div></div></div></div><br>";

        include "../../system/foot.php";
        exit;
    }

    if (isset($_GET["edit"]) and !empty($_GET["edit"])) {

        $edit = num($_GET["edit"]);
        $sub = DB::assoc(DB::query("SELECT * FROM `_forum` WHERE `id` = '{$edit}'"));
        if ($sub == false) {

            header("Location: ?panel");
            exit;
        }

        if (isset($_POST) and !empty($_POST)) {

            $name = text($_POST["name"]);
            $desc = text($_POST["desc"]);
            $access = text($_POST["access"]);

            if ($name == false or $name == "") {

                $_SESSION["errors"][0] = "Поле осталось пустым";
            }

            if ($desc == false or $desc == "") {

                $_SESSION["errors"][1] = "Поле осталось пустым";
            }

            if ($access < 0 and $access >= 4) {

                $_SESSION["errors"][2] = "Повтори попытку";
            }

            if (isset($_SESSION["errors"])) {

                header("Location: ?panel&create");
                exit;
            }

            DB::query("UPDATE `_forum` SET `name` = '{$name}', `access` = '{$access}', `desc` = '{$desc}' WHERE `id` = '{$edit}'");

            header("Location: ?panel");
            exit;
        }

        echo "<div class=\"content\">
            <div class=\"block center s125 color3\">
            {$sub["name"]}
            </div>
            <div class=\"line\"></div>
            <form class=\"block\" action=\"?panel&edit={$edit}\" method=\"POST\">
            <div class=\"form-group field-forumform required " . (isset($_SESSION["errors"][0]) ? "has-error" : false) . "\">
            <label class=\"control-label\" for=\"forumform-name\">Название</label>
            <input type=\"text\" id=\"forumform-name\" class=\"form-control\" name=\"name\" value=\"{$sub["name"]}\" aria-required=\"true\" aria-invalid=\"true\">
            <div class=\"help-block\">" . (isset($_SESSION["errors"][0]) ? $_SESSION["errors"][0] : false) . "</div>
            </div>
            <div class=\"form-group field-forumform required " . (isset($_SESSION["errors"][0]) ? "has-error" : false) . "\">
            <label class=\"control-label\" for=\"forumform-desc\">Описание</label>
            <input type=\"text\" id=\"forumform-desc\" class=\"form-control\" name=\"desc\" value=\"{$sub["desc"]}\" aria-required=\"true\" aria-invalid=\"true\">
            <div class=\"help-block\">" . (isset($_SESSION["errors"][1]) ? $_SESSION["errors"][1] : false) . "</div>
            </div>
            <div class=\"form-group field-forumform required " . (isset($_SESSION["errors"][2]) ? "has-error" : false) . "\">
            <label class=\"control-label\" for=\"forumform-access\">Создавать топики могут</label>
            <select id=\"forumform-access\" class=\"form-control\" name=\"access\" aria-required=\"true\">";

        for ($i = 0; $i <= 3; $i++)
            echo "<option value=\"{$i}\" " . ($sub["access"] == $i ? "selected" : false) . ">{$accessArray[$i]}+</option>";

        echo "</select>
            <div class=\"help-block\">" . (isset($_SESSION["errors"][2]) ? $_SESSION["errors"][2] : false) . "</div>
            </div>
            <span class=\"m3 btn_start middle\">
            <span class=\"btn_end\">
            <button type=\"submit\" class=\"btn\">Изменить</button>
            </span>
            </span>
            </form>
            <div class=\"dotted\"></div>
            <div class=\"menu\">
            <li><a href=\"?panel\">
            <img src=\"/images/icons/back.png\" width=\"16\" height=\"16\" alt=\"\"> Вернутся назад
            </a></li>
            </div>
            </div>";

        if (isset($_SESSION["errors"])) unset($_SESSION["errors"]);

        include "../../system/foot.php";
        exit;
    }

    echo "<br><div class=\"title-block enable-element\">
            <div class=\"title-inside\">
            <div class=\"b-title title1\">
        <div class=\"nail left-nail\"></div>
        <div class=\"nail right-nail\"></div>
        <div class=\"title\">
        <div class=\"alphabet c22\"></div>
        <div class=\"alphabet c16\"></div>
        <div class=\"alphabet c18\"></div>
        <div class=\"alphabet c21\"></div>
        <div class=\"alphabet c14\"></div>
        </div>
        </div></div>
        </div>
        <div class=\"content\">
        
        <div class=\"c-r\">
        <div class=\"c-b-r\">
        <div class=\"c-l\">
        <div class=\"c-b-l\">
        <div class=\"c-b\">
        <div class=\"inside\">";

    $query = DB::query("SELECT * FROM `_forum`");
    while ($row = DB::assoc($query)) {

        echo "<div class=\"block\">
            <img src=\"/images/icons/sub_forum_0.png\" width=\"16\" height=\"16\" alt=\"\"> <span class=\"color3\">{$row["name"]}</span>
            <div>
            Создавать топики могут: <span class=\"blue\">{$accessArray[$row["access"]]}+</span>
            </div>
            <div>
            Описание: <span class=\"blue\">" . ($row["desc"] == false ? "Нет" : $row["desc"]) . "</span>
            </div>
            <div class=\"small color2\">
            <a href=\"?panel&edit={$row["id"]}\">изменить</a>
            </div>
            </div>
            <div class=\"dotted\"></div>";
    }

    echo "<div class=\"menu\">
        <div class=\"menu-button\">
        <div class=\"menu-button button1\"><a href=\"?panel&create\">
        <img src=\"/images/icons/sub_forum_0.png\" width=\"16\" height=\"16\" alt=\"\"> Создать раздел
        </a></div></div>
        </div>
        </div></div> </div></div></div></div></div><br>";

    include "../../system/foot.php";
    exit;
}

$section = isset($_GET["section"]) && !empty($_GET["section"]) ? text($_GET["section"]) : false;
$answer = DB::result(DB::query("SELECT COUNT(`id`) FROM `_forum_comments` WHERE `answer` = '{$user["id"]}' AND `read` = '0'"), 0);

if ($section == "answer" and $answer > 0) {

    DB::query("UPDATE `_forum_comments` SET `read` = '1' WHERE `answer` = '{$user["id"]}'");
    header("Location: ?section=answer");
    exit;
}

echo "<br><div class=\"title-block enable-element\">
            <div class=\"title-inside\">
            <div class=\"b-title title1\">
        <div class=\"nail left-nail\"></div>
        <div class=\"nail right-nail\"></div>
        <div class=\"title\">
        <div class=\"alphabet c22\"></div>
        <div class=\"alphabet c16\"></div>
        <div class=\"alphabet c18\"></div>
        <div class=\"alphabet c21\"></div>
        <div class=\"alphabet c14\"></div>
        </div>
        </div></div>
        </div>
        <div class=\"content\">
        
        <div class=\"c-r\">
        <div class=\"c-b-r\">
        <div class=\"c-l\">
        <div class=\"c-b-l\">
        <div class=\"c-b\">
        <div class=\"inside\">
    <div class=\"h-navig\">
    <table width=\"100%\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\">
    <tr>
    <td class=\"h-navig-item\">
    " . ($section == false ? "<span class=\"active\">форум</span>" : "<a href=\"?\">форум</a>") . "
    </td>
    <td class=\"h-navig-item\">
    " . ($section == "answer" ? "<span class=\"active\">упоминания</span>" : "<a href=\"?section=answer\">упоминания " . ($answer > 0 ? "<span class=\"green\">(+)</span>" : false) . "</a>") . "
    </td>
    </tr>
    </table>
    </div>
    <div class=\"line\"></div>";

if ($section == false) {

    echo "<div class=\"menu\">";

    $query = DB::query("SELECT * FROM `_forum`");
    while ($row = DB::assoc($query)) {

        echo "<div class=\"menu-button\">
        <div class=\"menu-button button1\"><a href=\"/forum/sub?id={$row["id"]}\">
        <img src=\"/images/icons/sub_forum_0.png\" width=\"16\" height=\"16\" alt=\"\"> {$row["name"]}
        </a></div></div>";
    }

    echo "
    " . ($user["access"] >= 3 ? "
    <div class=\"menu-button\">
        <div class=\"menu-button button1\"><a href=\"?panel\">
    <img src=\"/images/icons/settings.png\" width=\"16\" height=\"16\" alt=\"\"> Управление
    </a></div></div>
    " : false) . "
    </div>";
} elseif ($section == "answer") {

    $max = 10;
    $count = DB::array(DB::query("SELECT COUNT(`id`) FROM `_forum_comments` WHERE `answer` = '{$user["id"]}'"));
    $pages = ceil($count[0] / $max);
    $page = text($_GET["page"]);

    if ($page > $pages) $page = $pages;
    if ($page < 1) $page = 1;

    $start = $page * $max - $max;

    if ($count[0] > 0) {

        $query = DB::query("SELECT * FROM `_forum_comments` WHERE `answer` = '{$user["id"]}' ORDER BY `time` DESC");
        while ($row = DB::assoc($query)) {

            $u = DB::assoc(DB::query("SELECT `sex` FROM `users` WHERE `id` = '{$row["user"]}'"));
            $topic = DB::assoc(DB::query("SELECT `name` FROM `_forum_topic` WHERE `id` = '{$row["topic"]}'"));

            echo "<div class=\"block\">
                <div>
                " . nickName($row["user"], true, false, true) . "
                упомянул" . ($u["sex"] ? "а" : false) . " тебя в <img src=\"/images/icons/dialog.png\" alt=\"\"> <a href=\"/forum/sub/topic?id={$row["topic"]}\">{$topic["name"]}</a>
                </div>
                <div>
                " . _smiles($row["text"]) . "
                <span class=\"small color2\">, " . timeBack($row["time"]) . "</span></div>
                </div>
                <div class=\"dotted\"></div>";
        }

?>
        <ul class="pagination"><?= pages("?section=answer&") ?></ul>
<?

    } else {

        echo "<div class=\"block\">
            Здесь будут выводиться все упоминания о Вас в обсуждениях
            </div>";
    }
}

echo "</div>";
echo "</div> </div></div></div></div></div><br>";

include "../../system/foot.php";
